Bug 65555 - Chromium: Update forked ScrollbarThemeChromiumMac.mm
Summary: Chromium: Update forked ScrollbarThemeChromiumMac.mm
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sailesh Agrawal
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-02 11:55 PDT by Sailesh Agrawal
Modified: 2011-08-18 15:14 PDT (History)
4 users (show)

See Also:


Attachments
Patch (8.17 KB, patch)
2011-08-02 11:56 PDT, Sailesh Agrawal
no flags Details | Formatted Diff | Diff
Patch (8.66 KB, patch)
2011-08-03 11:13 PDT, Sailesh Agrawal
no flags Details | Formatted Diff | Diff
Patch for landing (9.34 KB, patch)
2011-08-16 22:38 PDT, Sailesh Agrawal
no flags Details | Formatted Diff | Diff
Patch for landing (9.26 KB, patch)
2011-08-18 13:52 PDT, Sailesh Agrawal
no flags Details | Formatted Diff | Diff
Patch for landing (9.26 KB, patch)
2011-08-18 13:53 PDT, Sailesh Agrawal
no flags Details | Formatted Diff | Diff
Patch for landing (9.29 KB, patch)
2011-08-18 14:29 PDT, Sailesh Agrawal
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sailesh Agrawal 2011-08-02 11:55:07 PDT
Chromium: Update forked ScrollbarThemeChromiumMac.mm
Comment 1 Sailesh Agrawal 2011-08-02 11:56:53 PDT
Created attachment 102671 [details]
Patch
Comment 2 James Robinson 2011-08-02 14:02:27 PDT
Comment on attachment 102671 [details]
Patch

OK.  What's the plan for unforking?
Comment 3 Sailesh Agrawal 2011-08-02 14:04:12 PDT
(In reply to comment #2)
> (From update of attachment 102671 [details])
> OK.  What's the plan for unforking?

It looks like people has started working on adding smooth scrolling to Chromium Mac. Once that lands I'll delete the forked files and start using the original versions.
Comment 4 WebKit Review Bot 2011-08-02 15:11:43 PDT
Comment on attachment 102671 [details]
Patch

Clearing flags on attachment: 102671

Committed r92238: <http://trac.webkit.org/changeset/92238>
Comment 5 WebKit Review Bot 2011-08-02 15:11:47 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Zhenyao Mo 2011-08-02 17:07:08 PDT
Your patch is rolled out in r92248 due to fast/events/scrollbar-double-click.html failing on Mac.

Reopen this bug.

Below is the test result diff from our Mac bots:

--- /b/build/slave/Webkit_Mac10_5/build/layout-test-results/fast/events/scrollbar-double-click-expected.txt 
+++ /b/build/slave/Webkit_Mac10_5/build/layout-test-results/fast/events/scrollbar-double-click-actual.txt 
@@ -1,1 +1,1 @@
-Scroll offset is 700
+Scroll offset is 720
Comment 7 Sailesh Agrawal 2011-08-02 18:17:41 PDT
Sorry about that Zhenyao.

This is probably due to the addition of maxOverlapBetweenPages().

Looking into it.
Comment 8 Nico Weber 2011-08-02 21:18:53 PDT
Might be the test just needs to be rebased. What does the webkit/mac expectations file say? Does it still match ours?
Comment 9 Sailesh Agrawal 2011-08-03 11:13:15 PDT
Created attachment 102795 [details]
Patch
Comment 10 Sailesh Agrawal 2011-08-03 11:14:08 PDT
Updated the expectation file to match the one in platform/mac
Please take another look.
Thanks
Comment 11 James Robinson 2011-08-10 13:02:55 PDT
Comment on attachment 102795 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=102795&action=review

> LayoutTests/platform/chromium-mac/fast/events/scrollbar-double-click-expected.txt:1
> +Scroll offset is 720

this matches LayoutTests/platform/mac/fast/events/scrollbar-double-click-expected.txt, so you can just delete this file completely instead of making it match.
Comment 13 Nico Weber 2011-08-16 21:03:21 PDT
sail: Update the patch locally to delete the expectations file like jamesr recommends, then upload it with "webkit-patch land-safely". I will set cq+, you don't need another r+ in that case.
Comment 14 Sailesh Agrawal 2011-08-16 22:38:33 PDT
Created attachment 104151 [details]
Patch for landing
Comment 15 WebKit Review Bot 2011-08-16 22:39:20 PDT
Comment on attachment 104151 [details]
Patch for landing

Rejecting attachment 104151 [details] from commit-queue.

sail@chromium.org does not have committer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/committers.py.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in Tools/Scripts/webkitpy/common/config/committers.py by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your committer rights.
Comment 16 WebKit Review Bot 2011-08-17 03:54:34 PDT
Comment on attachment 104151 [details]
Patch for landing

Rejecting attachment 104151 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=ec2-cq-02', '--port..." exit_code: 2

Last 500 characters of output:
form/chromium/ScrollbarThemeChromiumMac.mm
Hunk #1 succeeded at 172 (offset 9 lines).
Hunk #2 succeeded at 184 (offset 9 lines).
Hunk #3 succeeded at 248 (offset 24 lines).
Hunk #4 FAILED at 447.
Hunk #5 succeeded at 495 (offset 25 lines).
Hunk #6 succeeded at 532 (offset 25 lines).
1 out of 6 hunks FAILED -- saving rejects to file Source/WebCore/platform/chromium/ScrollbarThemeChromiumMac.mm.rej

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force']" exit_code: 1

Full output: http://queues.webkit.org/results/9403854
Comment 17 Sailesh Agrawal 2011-08-18 13:52:12 PDT
Created attachment 104391 [details]
Patch for landing
Comment 18 WebKit Review Bot 2011-08-18 13:52:54 PDT
Comment on attachment 104391 [details]
Patch for landing

Rejecting attachment 104391 [details] from commit-queue.

sail@chromium.org does not have committer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/committers.py.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in Tools/Scripts/webkitpy/common/config/committers.py by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your committer rights.
Comment 19 Sailesh Agrawal 2011-08-18 13:53:48 PDT
Created attachment 104392 [details]
Patch for landing
Comment 20 WebKit Review Bot 2011-08-18 13:54:11 PDT
Comment on attachment 104392 [details]
Patch for landing

Rejecting attachment 104392 [details] from commit-queue.

sail@chromium.org does not have committer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/committers.py.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in Tools/Scripts/webkitpy/common/config/committers.py by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your committer rights.
Comment 21 WebKit Review Bot 2011-08-18 13:57:31 PDT
Comment on attachment 104392 [details]
Patch for landing

Rejecting attachment 104392 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=ec2-cq-02', '--port..." exit_code: 2

Last 500 characters of output:
g file Source/WebCore/platform/chromium/ScrollbarThemeChromiumMac.h
patching file Source/WebCore/platform/chromium/ScrollbarThemeChromiumMac.mm
Hunk #1 succeeded at 173 (offset 1 line).
Hunk #2 succeeded at 185 (offset 1 line).
Hunk #3 succeeded at 254 (offset 6 lines).
Hunk #4 succeeded at 477 (offset 6 lines).
Hunk #5 succeeded at 489 (offset 6 lines).
Hunk #6 succeeded at 526 (offset 6 lines).

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force']" exit_code: 1

Full output: http://queues.webkit.org/results/9419886
Comment 22 Sailesh Agrawal 2011-08-18 14:29:50 PDT
Created attachment 104398 [details]
Patch for landing
Comment 23 WebKit Review Bot 2011-08-18 14:30:23 PDT
Comment on attachment 104398 [details]
Patch for landing

Rejecting attachment 104398 [details] from commit-queue.

sail@chromium.org does not have committer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/committers.py.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in Tools/Scripts/webkitpy/common/config/committers.py by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your committer rights.
Comment 24 James Robinson 2011-08-18 14:32:05 PDT
Sail, you aren't a WebKit committer so you can't mark patches commit-queue+.  Mark it commit-queue? and any committer (like Nico) can set it to commit-queue+.
Comment 25 Nico Weber 2011-08-18 14:35:40 PDT
Comment on attachment 104398 [details]
Patch for landing

(my bad, i told him to use land-safely 'cause i thought that fills in the reviewer. but upload --reviewer should do that, too)
Comment 26 Sailesh Agrawal 2011-08-18 14:36:23 PDT
(In reply to comment #25)
> (From update of attachment 104398 [details])
> (my bad, i told him to use land-safely 'cause i thought that fills in the reviewer. but upload --reviewer should do that, too)

Ahh, will try that next time.
Comment 27 WebKit Review Bot 2011-08-18 15:14:36 PDT
Comment on attachment 104398 [details]
Patch for landing

Clearing flags on attachment: 104398

Committed r93356: <http://trac.webkit.org/changeset/93356>
Comment 28 WebKit Review Bot 2011-08-18 15:14:41 PDT
All reviewed patches have been landed.  Closing bug.